body.login-pf {
    background-size: auto;
    background-image: url("background.png");
    background-size: cover;
    background-position: 50%;
    position: relative;
    width: 100vw;
    height: 100vh;
}
#login-user-input {
    background-image: url("fa-user.png");
    background-repeat: no-repeat;
    background-position: left;
    background-position-x: 10px;
}
#login-password-input {
    background-image: url("fa-lock.png");
    background-repeat: no-repeat;
    background-position: left;
    background-position-x: 10px;
}

.login-pf #badge{
    position: absolute;
    bottom: 0;
    right: 0;
    width: 180px;
    text-align: center !important;
    text-transform: uppercase !important;
    font-size: 9pt !important;
    font-weight: bold;
    height: 21px !important;
    margin: 0 !important;
    border-bottom: 20px solid #cc0613;
    border-left: 20px solid transparent;
}

.login-pf #badge:after {
    content: 'DEVICE';
    color: white;
    background: #cc0613;
    position: absolute;
    right: 59px;
    height: 18px;
    margin: 0!important;
    top: 2px;
}

#brand {
    font-size: 25pt;
    background-image: url("logo.png");
    background-repeat: no-repeat;
    height: 95px;
    padding-top: 35px;
    top: -5px !important;
}

#index-brand:before {
    content: "netFIELD OS <b></b>";
}
.container {
    background: #fff !important;
    min-width: 400px;
    height:auto;
    border: 1px solid rgba(34,36,38,.15);
    border-radius: 4px;
    -webkit-box-shadow: 0 1px 2px 0 rgba(34,36,38,.15);
    box-shadow: 0 1px 2px 0 rgba(34,36,38,.15);
    position: fixed !important;
    left: 50%;
    top: 50%;
    color : #000;
    width:auto !important;
    transform: translate(-50%, -50%);
    padding: 44px 50px !important;
    max-width: 500px;
    min-height: 400px;
}
#login-error-message, #legal-disclaimer-text {
    color: #000 !important;
}
#login-button {
    padding-left:0;
    padding-right: 0;
    background-color: transparent !important;
    background-image: none !important;
    background-repeat: none !important;
    filter: none !important;
    border-color: transparent !important;
    box-shadow: none !important;
    -webkit-box-shadow: none !important;
}
#brand:before {
    content: "Sign In";
    text-indent: -9999px;
}
#login-button-text {
    text-indent: -9999px;
    line-height: 8px !important; /* Collapse the original line */
    cursor: pointer;
    display: inline-block;
    min-height: 1em;
    outline: 0;
    border: none;
    vertical-align: baseline;
    color: #fff;
    font-family: Lato,'Helvetica Neue',Arial,Helvetica,sans-serif;
    margin: 0 .25em 0 0;
    text-transform: none;
    text-shadow: none;
    font-weight: 700;
    font-style: normal;
    text-align: center;
    text-decoration: none;
    border-radius: .28571429rem;
    -webkit-box-shadow: 0 0 0 1px transparent inset, 0 0 0 0 rgba(34,36,38,.15) inset;
    box-shadow: 0 0 0 1px transparent inset, 0 0 0 0 rgba(34,36,38,.15) inset;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-transition: opacity .1s ease,background-color .1s ease,color .1s ease,background .1s ease,-webkit-box-shadow .1s ease;
    transition: opacity .1s ease,background-color .1s ease,color .1s ease,background .1s ease,-webkit-box-shadow .1s ease;
    transition: opacity .1s ease,background-color .1s ease,color .1s ease,box-shadow .1s ease,background .1s ease;
    transition: opacity .1s ease,background-color .1s ease,color .1s ease,box-shadow .1s ease,background .1s ease,-webkit-box-shadow .1s ease;
    will-change: '';
    background-color: #6898D1 !important;
    -webkit-tap-highlight-color: transparent;
    padding-top: 0;
    width:100%;
    padding-top: 4px;
    padding-bottom: 11px;
}
#login-button-text::after {
    content: "Sign In";
    text-indent: 0;
    display: block;
}

#login-button-text:hover {
    background-color: #5983b6 !important;
    -webkit-box-shadow: 0 0 0 1px transparent inset, 0 0 0 0 rgba(34,36,38,.15) inset;
    box-shadow: 0 0 0 1px transparent inset, 0 0 0 0 rgba(34,36,38,.15) inset;
}

#login-banner {
    border: 1px solid rgba(34,36,38,.15);
    padding: 6px;
    width: 100%;
    overflow: hidden;
    resize: none;
}

#option-group {
    display:none !important;
}
.container .form-control[type=text], .form-control[type=password] {
    font-family: Lato,'Helvetica Neue',Arial,Helvetica,sans-serif;
    margin: 0;
    outline: 0;
    -webkit-appearance: none;
    line-height: 1.21428571em;
    padding: 17px 10px;
    font-size: 12px;
    background: #fff;
    border: 1px solid rgba(34,36,38,.15);
    color: rgba(0,0,0,.87);
    border-radius: .28571429rem;
    -webkit-box-shadow: 0 0 0 0 transparent inset;
    box-shadow: 0 0 0 0 transparent inset;
    -webkit-transition: color .1s ease,border-color .1s ease;
    transition: color .1s ease,border-color .1s ease;
    padding-left:30px;
}
.container .form-control:focus {
    color: rgba(0,0,0,.95);
    border-color: #85b7d9;
    border-radius: .28571429rem;
    background: #fff;
    -webkit-box-shadow: 0 0 0 0 rgba(34,36,38,.35) inset;
    box-shadow: 0 0 0 0 rgba(34,36,38,.35) inset;
}
#login-details {
    display:none;
}
.login-pf .container .login-area {
    width:100% ;
    border-right: none;
}

.col-md-3.login-button-container {
    width:100%;
    margin-top: 20px;
}
.form-control:-moz-placeholder{color:#999;font-style:normal}
.form-control::-moz-placeholder{color:#999;font-style:normal;opacity:1}
.form-control:-ms-input-placeholder{color:#999;font-style:normal}
.form-control::-webkit-input-placeholder{color:#999;font-style:normal}

.dialog-container {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0,0,0,0.5);  
    z-index: 2000;
    display: flex;
    animation: dialog-container-entry 0.2s;
}

.dialog {
    background-color: white;
    border: 1px solid rgba(34,36,38,.15);
    border-radius: 4px;
    -webkit-box-shadow: 0 1px 2px 0 rgba(34,36,38,.15);
    box-shadow: 0 1px 2px 0 rgba(34,36,38,.15);
    display: flex;
    flex-direction: column;
    z-index: 2000;
    align-self: center;
    margin: auto;
    min-width: 410px;
    min-height: 520px;
    max-height: calc(100% - 3rem);
    animation: dialog-entry 0.4s;
    animation-timing-function: cubic-bezier(0.075, 0.820, 0.165, 1.000);
    padding: 1rem;
}

.dialog-title {
    align-items: left;
}

.dialog-body {
    flex-grow: 1;
    margin: 1rem 0;
}

.dialog-buttons {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
}

.dialog-buttons button {
    min-width: 4rem;
    margin-left: 1rem;
    min-height: 2.5rem !important;
    font-family: Lato,'Helvetica Neue',Arial,Helvetica,sans-serif;
    text-transform: none;
    text-shadow: none;
    font-weight: 700;
    color: #fff;
    background-color: #6898D1 !important;
    border: none;
    cursor: pointer;
    border-radius: .28571429rem;
    box-shadow: 0 0 0 1px transparent inset, 0 0 0 0 rgba(34,36,38,.15) inset;
    -webkit-box-shadow: 0 0 0 1px transparent inset, 0 0 0 0 rgba(34,36,38,.15) inset;
}

#login-banner-show-more:hover {
    text-decoration: none;
}

#login-banner-details {
    border: 2px solid rgba(34,36,38,.15);
    padding: 5px;
    width: 100%;
    min-height: 410px;
    resize: none;
}